NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::WrapGeometryBuilder Class Reference

Represents a NXOpen::Features::WrapGeometry builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateWrapGeometryBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::WrapGeometryBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CloseGapType { CloseGapTypeSharp, CloseGapTypeBeveled, CloseGapTypeNoOffset }
 Represents the close gap type. More...
 

Public Member Functions

NXOpen::ExpressionAddOffset ()
 Returns the Additional offset. More...
 
bool Associative ()
 Returns the Remove parms switch
Created in NX6.0.0. More...
 
NXOpen::Features::WrapGeometryBuilder::CloseGapType CloseGaps ()
 Returns the Method used to close the gaps after offset of the wrap
Created in NX6.0.0. More...
 
double DistTol ()
 Returns the Distance tolerance used to facet the solids. More...
 
NXOpen::SelectDisplayableObjectListGeometry ()
 Returns the geometry to be wrapped (solid, sheet, curve, point)
Created in NX6.0.0. More...
 
bool IsInterpart ()
 Returns the Setting that determines if this feature have interpart references
Created in NX6.0.0. More...
 
NXOpen::PlaneListPlanesList ()
 Returns the Planes to split the geometry, tightens the wrap along this plane
Created in NX6.0.0. More...
 
void SetAssociative (bool associative)
 Sets the Remove parms switch
Created in NX6.0.0. More...
 
void SetCloseGaps (NXOpen::Features::WrapGeometryBuilder::CloseGapType closeGaps)
 Sets the Method used to close the gaps after offset of the wrap
Created in NX6.0.0. More...
 
void SetDistTol (double distTol)
 Sets the Distance tolerance used to facet the solids. More...
 
void SetInterpart (bool isInterpart)
 Sets the Setting that determines if this feature have interpart references
Created in NX6.0.0. More...
 
NXOpen::ExpressionSplitOffset ()
 Returns the Offset applied to both sides of the splitting planes. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::WrapGeometry builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateWrapGeometryBuilder
Default values.

Property Value

AddOffset.Value

0 (millimeters part), 0 (inches part)

Associative

1

CloseGaps

Sharp

DistTol

2.54

IsInterpart

0

SplitOffset.Value

0 (millimeters part), 0 (inches part)


Created in NX6.0.0.

Member Enumeration Documentation

Represents the close gap type.

Enumerator
CloseGapTypeSharp 

sharp

CloseGapTypeBeveled 

beveled

CloseGapTypeNoOffset 

no offset

Member Function Documentation

NXOpen::Expression* NXOpen::Features::WrapGeometryBuilder::AddOffset ( )

Returns the Additional offset.

Will expand the wrap.
Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::WrapGeometryBuilder::Associative ( )

Returns the Remove parms switch
Created in NX6.0.0.



License requirements : None

NXOpen::Features::WrapGeometryBuilder::CloseGapType NXOpen::Features::WrapGeometryBuilder::CloseGaps ( )

Returns the Method used to close the gaps after offset of the wrap
Created in NX6.0.0.



License requirements : None

double NXOpen::Features::WrapGeometryBuilder::DistTol ( )

Returns the Distance tolerance used to facet the solids.

Also used for default offset calculation.
Created in NX6.0.0.

License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::WrapGeometryBuilder::Geometry ( )

Returns the geometry to be wrapped (solid, sheet, curve, point)
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::WrapGeometryBuilder::IsInterpart ( )

Returns the Setting that determines if this feature have interpart references
Created in NX6.0.0.



License requirements : None

NXOpen::PlaneList* NXOpen::Features::WrapGeometryBuilder::PlanesList ( )

Returns the Planes to split the geometry, tightens the wrap along this plane
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::WrapGeometryBuilder::SetAssociative ( bool  associative)

Sets the Remove parms switch
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::WrapGeometryBuilder::SetCloseGaps ( NXOpen::Features::WrapGeometryBuilder::CloseGapType  closeGaps)

Sets the Method used to close the gaps after offset of the wrap
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
closeGapsclosegaps
void NXOpen::Features::WrapGeometryBuilder::SetDistTol ( double  distTol)

Sets the Distance tolerance used to facet the solids.

Also used for default offset calculation.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distToldisttol
void NXOpen::Features::WrapGeometryBuilder::SetInterpart ( bool  isInterpart)

Sets the Setting that determines if this feature have interpart references
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isInterpartisinterpart
NXOpen::Expression* NXOpen::Features::WrapGeometryBuilder::SplitOffset ( )

Returns the Offset applied to both sides of the splitting planes.


Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.